org.eclipse.swt.events

## Class ShellEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.events.ShellEvent

    public final class ShellEvent
    extends TypedEvent

Instances of this class are sent as a result of operations being performed on shells.

See Also:
  `ShellListener`

### Field Summary

Fields
`boolean` `doit` A flag indicating whether the operation should be allowed.

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Constructor Summary

Constructors
Constructor and Description
`ShellEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

### Method Summary

### Methods inherited from class org.eclipse.swt.events.TypedEvent

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### doit

    public boolean doit

A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation.

### Constructor Detail

#### ShellEvent

    public ShellEvent(Event event)

Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0